<?php
/**
 * @package    Tiles
 * @author     DanielDimitrov <daniel@compojoom.com>
 * @date       01.07.13
 *
 * @copyright  Copyright (C) 2008 - 2013 compojoom.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */


defined('_JEXEC') or die();
jimport('joomla.application.component.model');

/**
 * Class TilesModelEditGallery
 *
 * @since  1.2
 */
class TilesModelEditGallery extends JModelLegacy
{
	/**
	 * Constructor
	 */
	public function __construct()
	{
		parent::__construct();
		$this->setId = JFactory::getApplication()->input->getInt('id', 0);
	}

	/**
	 * Gets a single gallery
	 *
	 * @return mixed
	 */
	public function getGallery()
	{
		if (empty($this->_data))
		{
			$query = $this->_buildQuery($this->setId);
			$this->_db->setQuery($query);
			$this->_data = $this->_db->loadObject();
		}

		return $this->_data;
	}

	/**
	 * Creates the query
	 *
	 * @param   int $id - the id of the gallery
	 *
	 * @return string
	 */
	private function _buildQuery($id)
	{
		$query = "SELECT * FROM #__tiles_galleries WHERE id = '" . $id . "'";

		return $query;
	}
}
