<?php
/**
 * @package    Tiles
 * @author     Yves Hoppe <yves@compojoom.com>
 * @date       23.11.13
 *
 * @copyright  Copyright (C) 2008 - 2013 compojoom.com - Yves Hoppe. All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 * @since      1.0.0
 */

defined('_JEXEC') or die('Restricted access');

// ACL Check
if (!JFactory::getUser()->authorise('core.manage', 'com_tiles'))
{
	return JError::raiseWarning(405, JText::_('JERROR_ALERTNOAUTHOR'));
}

require_once JPATH_COMPONENT_ADMINISTRATOR . '/version.php';

JLoader::discover('TilesHelper', JPATH_COMPONENT_ADMINISTRATOR . '/helpers');

require_once JPATH_COMPONENT_ADMINISTRATOR . '/controller.php';

JTable::addIncludePath(JPATH_COMPONENT_ADMINISTRATOR . '/tables');

// Load Compojoom library
require_once JPATH_LIBRARIES . '/compojoom/include.php';

// Load language
CompojoomLanguage::load('com_tiles', JPATH_SITE);
CompojoomLanguage::load('com_tiles', JPATH_ADMINISTRATOR);

$input = JFactory::getApplication()->input;

$view = $input->getCmd('view', '');

if (($view == '' && $input->getCmd('task') == ''))
{

}

// Create the controller
$controller = JControllerLegacy::getInstance("Tiles");
$controller->execute($input->getCmd('task'));
$controller->redirect();
