<?php
/**
 * Tiles
 * @package  Joomla!
 * @Copyright (C) 2012 - Yves Hoppe - compojoom.com
 * @All      rights reserved
 * @Joomla   ! is Free Software
 * @Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
 * @version  $Revision: 0.9.0 beta $
 **/

defined('_JEXEC') or die('Restricted access');
jimport('joomla.application.component.controller');
jimport( 'joomla.application.component.controlleradmin' );

class TilesControllerElements extends TilesController
{
	public function __construct()
	{
		parent::__construct();

		// Register Extra tasks
		$this->registerTask('unpublish', 'publish');
	}

	public function display($cachable = false, $urlparams = false)
	{
		$document = JFactory::getDocument();
		$viewName = JFactory::getApplication()->input->get('view', 'elements');
		$viewType = $document->getType();
		$view = $this->getView($viewName, $viewType);
		$view->setLayout('default');
		$view->display();
	}

	public function remove()
	{
		$cid = JFactory::getApplication()->input->get('id', array(), '', 'array');
		$db = & JFactory::getDBO();
		if (count($cid))
		{
			$cids = implode(',', $cid);
			$query = "DELETE FROM #__tiles_elements where id IN ( $cids )";
			$db->setQuery($query);
			if (!$db->execute())
			{
				echo "<script> alert('" . $db->getErrorMsg() . "'); window.history.go (-1); </script>\n";
			}
		}
		$this->setRedirect('index.php?option=com_tiles&controller=elements');
	}


	public function publish()
	{
		$cid = JFactory::getApplication()->input->get('id', array(), '', 'array');

		if ($this->task == 'publish')
		{
			$publish = 1;
		}
		else
		{
			$publish = 0;
		}

		$msg = "";
		$tilesTable = & JTable::getInstance('elements', 'Table');
		$tilesTable->publish($cid, $publish);

		$link = 'index.php?option=com_tiles&view=elements';

		$this->setRedirect($link, $msg);
	}
}
