<?php
/**
 * Tiles
 * @package  Joomla!
 * @Copyright (C) 2012 - Yves Hoppe - compojoom.com
 * @All      rights reserved
 * @Joomla   ! is Free Software
 * @Released under GNU/GPL Licengase : http://www.gnu.org/copyleft/gpl.html
 * @version  $Revision: 0.9.0 beta $
 **/

defined('_JEXEC') or die('Restricted access');

class AGallery
{

	public $id = -1;

	public $gallery_name;
	public $description;

	public $tiles_width = 100;
	public $tiles_height = 300;

	public $tiles_fields_horizontal = 12;
	public $tiles_fields_vertical = 2;

	public $tiles_fields_horizontal_visible = 4;

	public $color_profile = 'default';
	public $color_profile_custom = '';

	public $params;
	public $lang = 'en';
	public $acl;

	public $published = 1;

	// constructor
	public function __construct()
	{
	}

	public function setAcl($acl)
	{
		$this->acl = $acl;
	}

	public function getAcl()
	{
		return $this->acl;
	}

	public function setColorProfile($color_profile)
	{
		$this->color_profile = $color_profile;
	}

	public function getColorProfile()
	{
		return $this->color_profile;
	}

	public function setColorProfileCustom($color_profile_custom)
	{
		$this->color_profile_custom = $color_profile_custom;
	}

	public function getColorProfileCustom()
	{
		return $this->color_profile_custom;
	}

	public function setDescription($description)
	{
		$this->description = $description;
	}

	public function getDescription()
	{
		return $this->description;
	}

	public function setGalleryName($gallery_name)
	{
		$this->gallery_name = $gallery_name;
	}

	public function getGalleryName()
	{
		return $this->gallery_name;
	}

	public function setId($id)
	{
		$this->id = $id;
	}

	public function getId()
	{
		return $this->id;
	}

	public function setLang($lang)
	{
		$this->lang = $lang;
	}

	public function getLang()
	{
		return $this->lang;
	}

	public function setParams($params)
	{
		$this->params = $params;
	}

	public function getParams()
	{
		return $this->params;
	}

	public function setTilesFieldsHorizontal($tiles_fields_horizontal)
	{
		$this->tiles_fields_horizontal = $tiles_fields_horizontal;
	}

	public function getTilesFieldsHorizontal()
	{
		return $this->tiles_fields_horizontal;
	}

	public function setTilesFieldsHorizontalVisible($tiles_fields_horizontal_visible)
	{
		$this->tiles_fields_horizontal_visible = $tiles_fields_horizontal_visible;
	}

	public function getTilesFieldsHorizontalVisible()
	{
		return $this->tiles_fields_horizontal_visible;
	}

	public function setTilesFieldsVertical($tiles_fields_vertical)
	{
		$this->tiles_fields_vertical = $tiles_fields_vertical;
	}

	public function getTilesFieldsVertical()
	{
		return $this->tiles_fields_vertical;
	}

	public function setTilesHeight($tiles_height)
	{
		$this->tiles_height = $tiles_height;
	}

	public function getTilesHeight()
	{
		return $this->tiles_height;
	}

	public function setTilesWidth($tiles_width)
	{
		$this->tiles_width = $tiles_width;
	}

	public function getTilesWidth()
	{
		return $this->tiles_width;
	}


}

?>