<?php
/**
 * Tiles
 * @package  Joomla!
 * @Copyright (C) 2012 - Yves Hoppe - compojoom.com
 * @All      rights reserved
 * @Joomla   ! is Free Software
 * @Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
 * @version  $Revision: 0.9.0 beta $
 **/

defined('_JEXEC') or die('Restricted access');

class ATile
{
	public $id = -1;

	public $galleryId;

	public $width = 1;
	public $height = 1;
	public $position = array(0, 1);

	public $tilename;
	public $title;
	public $text;

	public $linktype;
	public $link;
	public $linktitle;

	public $background_type = 'color';
	public $background = '#fff';
	public $fontcolor;
	public $linkcolor;
	public $overlay = 'default';

	// constructor
	public function __construct()
	{
	}

	public function setBackground($background)
	{
		$this->background = $background;
	}

	public function getBackground()
	{
		return $this->background;
	}

	public function setBackgroundType($background_type)
	{
		$this->background_type = $background_type;
	}

	public function getBackgroundType()
	{
		return $this->background_type;
	}

	public function setFontcolor($fontcolor)
	{
		$this->fontcolor = $fontcolor;
	}

	public function getFontcolor()
	{
		return $this->fontcolor;
	}

	public function setHeight($height)
	{
		$this->height = $height;
	}

	public function getHeight()
	{
		return $this->height;
	}

	public function setId($id)
	{
		$this->id = $id;
	}

	public function getId()
	{
		return $this->id;
	}

	public function setLink($link)
	{
		$this->link = $link;
	}

	public function getLink()
	{
		return $this->link;
	}

	public function setLinkcolor($linkcolor)
	{
		$this->linkcolor = $linkcolor;
	}

	public function getLinkcolor()
	{
		return $this->linkcolor;
	}

	public function setOverlay($overlay)
	{
		$this->overlay = $overlay;
	}

	public function getOverlay()
	{
		return $this->overlay;
	}

	public function setPosition($position)
	{
		$this->position = $position;
	}

	public function getPosition()
	{
		return $this->position;
	}

	public function setText($text)
	{
		$this->text = $text;
	}

	public function getText()
	{
		return $this->text;
	}

	public function setTilename($tilename)
	{
		$this->tilename = $tilename;
	}

	public function getTilename()
	{
		return $this->tilename;
	}

	public function setTitle($title)
	{
		$this->title = $title;
	}

	public function getTitle()
	{
		return $this->title;
	}

	public function setWidth($width)
	{
		$this->width = $width;
	}

	public function getWidth()
	{
		return $this->width;
	}

	public function setGalleryid($galleryId)
	{
		$this->galleryId = $galleryId;
	}

	public function getGalleryId()
	{
		return $this->galleryId;
	}

	public function setLinktitle($linktitle)
	{
		$this->linktitle = $linktitle;
	}

	public function getLinktitle()
	{
		return $this->linktitle;
	}

	public function setLinktype($linktype)
	{
		$this->linktype = $linktype;
	}

	public function getLinktype()
	{
		return $this->linktype;
	}
}
