<?php
/**
 * Tiles
 * @package  Joomla!
 * @Copyright (C) 2012 - Yves Hoppe - compojoom.com
 * @All      rights reserved
 * @Joomla   ! is Free Software
 * @Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
 * @version  $Revision: 0.9.0 beta $
 **/

defined('_JEXEC') or die('Restricted access');

/**
 * Class TilesHelperSettings
 *
 * @since  1.0.0
 */
class TilesHelperSettings
{
	/**
	 * Gets a setting with the given title, returns default if not available
	 *
	 * @param   string  $title    - The key / title of the setting
	 * @param   string  $default  - The default value (if setting not found)
	 *
	 * @return  mixed
	 */
	public static function getSettings($title = '', $default = '')
	{
		$params = JComponentHelper::getParams('com_tiles');

		return $params->get($title, $default);
	}
}
